classification
Title: Remove pre-AIX 6.1 dead code paths
Type: Stage: resolved
Components: Interpreter Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, David.Edelsohn, aixtools@gmail.com, corona10, kadler, vstinner
Priority: normal Keywords: patch

Created on 2020-10-19 20:24 by kadler, last changed 2020-11-16 15:18 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22830 merged kadler, 2020-10-20 19:22
Messages (5)
msg379007 - (view) Author: Kevin (kadler) * Date: 2020-10-19 20:24
Follow on to https://bugs.python.org/issue40680. In there, it was decided that since AIX 5 and below doesn't support thread_cputime, support for it would be dropped and the issue was closed without removing any of the dead code paths and references.
msg381100 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-16 14:54
Michael Felt, David Eldelsohn: are you ok to drop support for AIX 5.3 and older?
msg381106 - (view) Author: David Edelsohn (David.Edelsohn) * Date: 2020-11-16 15:11
I think that it is reasonable to drop support for AIX 5.3.
msg381108 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-16 15:16
New changeset c79667ff7921444911e8a5dfa5fba89294915590 by Kevin Adler in branch 'master':
bpo-42087: Remove support for AIX 5.3 and below (GH-22830)
https://github.com/python/cpython/commit/c79667ff7921444911e8a5dfa5fba89294915590
msg381110 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-16 15:18
David Edelsohn: "I think that it is reasonable to drop support for AIX 5.3."

Good.

Thanks Kevin Adler, I merged your PR.
History
Date User Action Args
2020-11-16 15:18:14vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg381110

stage: patch review -> resolved
2020-11-16 15:16:19vstinnersetmessages: + msg381108
2020-11-16 15:11:34David.Edelsohnsetmessages: + msg381106
2020-11-16 14:54:24vstinnersetnosy: + David.Edelsohn, aixtools@gmail.com
messages: + msg381100
2020-10-20 19:22:37kadlersetkeywords: + patch
stage: patch review
pull_requests: + pull_request21785
2020-10-20 16:12:42corona10setnosy: + vstinner, corona10
2020-10-19 20:25:08BTaskayasetnosy: + BTaskaya
2020-10-19 20:24:45kadlercreate